## org.apache.jasper.compiler
Interface Mangler

All Known Implementing Classes:
  CommandLineCompiler, JspCompiler

public interface Mangler

You can control attributes like classname, packagename etc by plugging in your own mangler.

Author:
  Anil K. Vijendran

Method Summary
`java.lang.String` `getClassFileName()` The full name of the .class file ( without version number)
`java.lang.String` `getClassName()` The class name ( without package ) of the generated servlet, including the version number
`java.lang.String` `getJavaFileName()` The full name of the .java file, including version number ( based on className and outputDir )

Method Detail

### getClassName

    public java.lang.String getClassName()

  The class name ( without package ) of the generated servlet, including the version number

### getJavaFileName

    public java.lang.String getJavaFileName()

  The full name of the .java file, including version number ( based on className and outputDir )

### getClassFileName

    public java.lang.String getClassFileName()

  The full name of the .class file ( without version number)

Copyright © 2000 Apache Software Foundation. All Rights Reserved.